SU(1)

NAME
su - substitute user identity

SYNOPSIS
su [-Kflm] [login [shell arguments]]

DESCRIPTION
su requests the Kerberos password for login (or for “login.root”, if no login is provided), and switches to that user and group ID after obtaining a Kerberos ticket granting ticket. A shell is then executed, and any additional shell arguments after the login name are passed to the shell. su will resort to the local password file to find the password for login if there is a Kerberos error. If su is executed by root, no password is requested and a shell with the appropriate user ID is executed; no additional Kerberos tickets are obtained.

Alternatively, if the user enters the password "s/key", authentication will use the S/Key one-time password system as described in skey(1). S/Key is a Trademark of Bellcore.

By default, the environment is unmodified with the exception of USER, HOME, SHELL, and SU_FROM. HOME and SHELL are set to the target login's default values. USER is set to the target login, unless the target login has a user ID of 0, in which case it is unmodified. SU_FROM is set to the caller's login. The invoked shell is the target login's. With the exception of SU_FROM this is the traditional behavior of.

The options are as follows:

-K  Do not attempt to use Kerberos to authenticate the user.

-f  If the invoked shell is csh(1), this option prevents it from reading the “.cshrc” file.

-l  Simulate a full login. The environment is discarded except for HOME, SHELL, PATH, TERM, USER, and SU_FROM. HOME SHELL, and SU_FROM are modified as above. USER is set to the target login. PATH is set to “/usr/bin:/bin:/usr/pkg/bin:/usr/local/bin”. TERM is imported from your current environment. The invoked shell is the target login's, and su will change directory to the target login's home directory.

-   Same as -l

-m  Leave the environment unmodified. The invoked shell is your login shell, and no directory changes are made. As a security precaution, if the target user's shell is a non-standard shell (as defined by getusershell(3)) and the caller's real uid is non-zero, su will fail.

The -l and -m options are mutually exclusive; the last one specified overrides any previous ones.

Only users in group “wheel” (normally gid 0), as listed in /etc/group, can su to “root”, unless group wheel does not exist or has no members. (If you do not want anybody to be able to su to “root”, make “root” the only member of group “wheel”, which is the default.)

By default (unless the prompt is reset by a startup file) the super-user prompt is set to “#” to remind one of its awesome power.

SEE ALSO
csh(1), login(1), sh(1), skey(1), kinit(1), kerberos(1), passwd(5), group(5), environ(7)

ENVIRONMENT
Environment variables used by:

HOME
    Default home directory of real user ID unless modified as specified above.

PATH
    Default search path of real user ID unless modified as specified above.

TERM
    Provides terminal type which may be retained for the substituted user ID.

USER
    The user ID is always the effective ID (the target user ID) after an su unless the user ID is 0 (root).

HISTORY
A su command appeared in AT&T UNIX.